local MODNAME = "__Super_Inserter__"
--If you want to change the MOD Name than Change the Name above and you dont need to change any direction down there, because you say that MODNAME is the name of this MOD and that is used by the Script.

data:extend
(
{
 {--You have missed this here ;)
  type = "inserter",
  name = "super-inserter",
  icon = MODNAME.."/graphics/super-inserter.png", -- You need to say its from your MOD not from the Base Game ;)
  flags = {"placeable-neutral", "placeable-player", "player-creation"},
  minable = { hardness = 0.2, mining_time = 0.5, result = "super-inserter" },
  max_health = 40,
  corpse = "small-remnants",
  resistances = { { type = "fire", percent = 90 } },
  collision_box = { { -0.15, -0.15 }, { 0.15, 0.15 } },
  selection_box = { { -0.4, -0.35 }, { 0.4, 0.45 } },
  pickup_position = { 0, -1 },
  insert_position = { 0, 1.2 },
  energy_per_movement = 1, -- If you want to make it use very less Power than use this ;)
  energy_per_rotation = 1,
  energy_source = { type = "electric", usage_priority = "secondary-input", drain = "0.5kW" },
  extension_speed = 0.07,
  rotation_speed = 0.04,
  fast_replaceable_group = "inserter",
  vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
  working_sound = { match_progress_to_activity = true, sound = { { filename = "__base__/sound/inserter-fast-1.ogg", volume = 0.75 }, { filename = "__base__/sound/inserter-fast-2.ogg", volume = 0.75 },
    			  { filename = "__base__/sound/inserter-fast-3.ogg", volume = 0.75 }, { filename = "__base__/sound/inserter-fast-4.ogg", volume = 0.75 }, { filename = "__base__/sound/inserter-fast-5.ogg", volume = 0.75 } } },
  hand_base_picture = { filename = MODNAME.."/graphics/super-inserter-hand-base.png", priority = "extra-high", width = 8, height = 34 },
  hand_closed_picture = { filename = MODNAME.."/graphics/super-inserter-hand-closed.png", priority = "extra-high", width = 18, height = 41 },
  hand_open_picture = { filename = MODNAME.."/graphics/super-inserter-hand-open.png", priority = "extra-high", width = 18, height = 41 },
  hand_base_shadow = { filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png", priority = "extra-high", width = 8, height = 34 },
  hand_closed_shadow = { filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png", priority = "extra-high", width = 18, height = 41 },
  hand_open_shadow = { filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png", priority = "extra-high", width = 18, height = 41 },
  platform_picture = { sheet = { filename = MODNAME.."/graphics/super-inserter-platform.png", priority = "extra-high", width = 46, height = 46, shift = { 0.09375, 0 } } },
  --Here you need to make the Graphics and say where they are, so in your MOD/graphics.
  circuit_wire_connection_point = { shadow = { red = {-0.1875, 0.21875}, green = {-0.1875, 0.25}, }, wire = { red = {-0.375, 0.03125}, green = {-0.375, 0.0625} } },
  circuit_connector_sprites = { connector_main = { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-inserter-main.png", priority = "low", width = 15, height = 12, shift = {-0.203125 + 0, 0.125 + -0.09375} },
                                connector_shadow = { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-inserter-shadow.png", priority = "low", width = 18, height = 18, shift = {-0.03125 + 0, 0.1875 + -0.09375} },
                                led_red = { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-inserter-led-red.png", priority = "low", width = 6, height = 5, shift = {-0.15625 + 0, 0.171875 + -0.09375} },
                                led_green = { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-inserter-led-green.png", priority = "low", width = 6, height = 5, shift = {-0.15625 + 0, 0.171875 + -0.09375} },
                                led_blue = { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-inserter-led-blue.png", priority = "low", width = 5, height = 5, shift = {-0.265625 + 0, 0.078125 + -0.09375} },
                                logistic_animation =  { filename = "__base__/graphics/entity/circuit-connector/circuit-connector-logistic-animation.png", priority = "low", blend_mode = "additive", line_length = 4, width = 43, height = 43,
                                frame_count = 15, shift = {0.015625 - 0.265625 + 0, -0.234375 + 0.078125 + -0.09375} }, led_light = { intensity = 0.8, size = 0.9, }, blue_led_light_offset = {-0.28125, -0.03125},
                                red_green_led_light_offset = {-0.15625, 0.0625},
  circuit_wire_max_distance = 7.5
  --That are functions that you need to copy or make it by your own.
  --I give you that
 }--You have missed this here ;)
}
)